# h5netcdf.legacyapi.Variable

class h5netcdf.legacyapi.Variable(parent, name, dimensions=None)
  __init__(parent, name, dimensions=None)

  Methods

  `__init__`(parent, name[, dimensions]) |
  `chunking`() | Return variable chunking information.
  `filters`() | Return HDF5 filter parameters dictionary.
  `getncattr`(name) | Retrieve a netCDF4 attribute.
  `ncattrs`() | Return netCDF4 attribute names.
  `setncattr`(name, value) | Set a netCDF4 attribute.

  Attributes

  `attrs` | Return variable attributes.
  `datatype` | Return datatype.
  `dimensions` | Return variable dimension names.
  `dtype` | Return netCDF4.Variable numpy dtype.
  `name` | Return variable name.
  `ndim` | Return number of variable dimensions.
  `shape` | Return current sizes of all variable dimensions.

  chunking()

    Return variable chunking information.

    The chunksize is returned as a sequence with the size for each dimension. If the dataset is defined to be contiguous (no chunking) the word ‘contiguous’ is returned.

  property dtype

    Return netCDF4.Variable numpy dtype.

  filters()

    Return HDF5 filter parameters dictionary.